[postgis] 01/01: Add a trivial autopkgtest to check creation of the extension.

Markus Wanner markus_wanner-guest at moszumanska.debian.org
Sun Apr 9 18:59:13 UTC 2017


This is an automated email from the git hooks/post-receive script.

markus_wanner-guest pushed a commit to branch master
in repository postgis.

commit 073a624eb535917c42540368a6be9bbe943b32bc
Author: Markus Wanner <markus at bluegap.ch>
Date:   Sun Apr 9 20:57:34 2017 +0200

    Add a trivial autopkgtest to check creation of the extension.
---
 debian/changelog                     |  6 ++++++
 debian/tests/control                 |  3 +++
 debian/tests/test-extension-creation | 12 ++++++++++++
 3 files changed, 21 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 835c369..e7ef829 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+postgis (2.3.2+dfsg-1~exp3) UNRELEASED; urgency=medium
+
+  * Add a trivial autopkgtest to check creation of the extension.
+
+ -- Markus Wanner <markus at bluegap.ch>  Sun, 09 Apr 2017 20:26:54 +0200
+
 postgis (2.3.2+dfsg-1~exp2) experimental; urgency=medium
 
   * Add patch avoid-bashisms.patch to fix the generated sql files.
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..a4ef2bc
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Depends: @, postgresql-server-dev-all, postgresql-contrib-9.6
+Tests: installcheck
+Restrictions: needs-root allow-stderr
diff --git a/debian/tests/test-extension-creation b/debian/tests/test-extension-creation
new file mode 100755
index 0000000..68960e0
--- /dev/null
+++ b/debian/tests/test-extension-creation
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -eu
+
+for v in $(pg_buildext supported-versions); do
+	pg_virtualenv -v $v sh -e <<-EOF
+	# test extension
+	psql -c 'CREATE EXTENSION postgis'
+	psql -c 'DROP EXTENSION postgis'
+	EOF
+done
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/postgis.git



More information about the Pkg-grass-devel mailing list